// body //

body {
    font-family: 'Open Sans';
    font-style: normal;
    background-color: $gray;
    position: relative;
}

@media (max-width: 375px) {
    body {
        width: 375px;
    }
}

// conainer // 

.header-container {
    max-width: 1440px;
    width: 100%;
    padding: 0 120px;
    margin: 0 auto;

    @media (max-width: 1280px) {
        padding: 0 100px;
    }

    @media (max-width: 1024px) {
        padding: 0 60px;
    }

    @media (max-width: 768px) {
        padding: 0 30px;
    }

}

.container {
    max-width: 1440px;
    width: 100%;
    padding: 0 60px;
    margin: 0 auto;

    @media (max-width: 1280px) {
        padding: 0 50x;
    }

    @media (max-width: 1024px) {
        padding: 0 40px;
    }

    @media (max-width: 768px) {
        padding: 0 30px;
    }
}

.gallery-conteiner {
    max-width: 1920px;
    width: 100%;
    padding: 0 15px;
    margin: 0 auto;
}

.slider-container {
    max-width: 1280px;
    width: 100%;
    padding: 0 30px;
    margin: 0 auto;
}

// section // 

.section__main {
    padding-top: 65px;

    @media (max-width: 1280px) {
        padding-top: 59px;
    }

    @media (max-width: 1024px) {
        padding-top: 56px;
    }
}

.section {
    padding: 100px 0;

    @media (max-width: 1280px) {
        padding: 80px 0;
    }

    @media (max-width: 1024px) {
        padding: 60px 0;
    }

    @media (max-width: 576px) {
        padding: 40px 0;
    }
}


// Title Margin // 

.title__wrapper {
    @include titleWrapper;
}

// h1 // 

.main__title {
    @include mainTitle;
}

// h2 // 

.section__title {
    @include sectionTitle;
}

// text after title // 

.main__text {
    @include mainText;  
}

.section__text {
    @include sectionText;
}

// Slider // 

.slider__wrapper {
    position: relative;

    .reviews-button__wrapper {
        position: absolute;
        z-index: 2;
        top: 40%;
        width: 100%;

        @media (max-width: 576px) {
            top: 30%;
        }

        .reviews-button {
            position: absolute;
            cursor: pointer;
           
            .reviews-icon {
                .background-path {
                    transition: 0.4s ease;
                }

                @media (max-width: 576px) {
                    width: 55px;
                    height: 55px;
                }
            }

            &:hover {
                .reviews-icon {
                    .background-path {
                        fill: $blueHover;
                    }
                }
            }

        }

        .reviews-button-next {
            right: -10%;

            @media (max-width: 1580px) {
                right: -2%;
            }


        }

        .reviews-button-prev {
            left: -10%;

            @media (max-width: 1580px) {
                left: -2%;
            }
        }
    }

    .articles-button__wrapper {
        position: absolute;
        z-index: 2;
        top: 40%;
        width: 100%;

        @media (max-width: 576px) {
            top: 40%;
        }

        .reviews-button {
            position: absolute;
            cursor: pointer;
           
            .reviews-icon {
                .background-path {
                    transition: 0.4s ease;
                }

                @media (max-width: 576px) {
                    width: 55px;
                    height: 55px;
                }
            }

            &:hover {
                .reviews-icon {
                    .background-path {
                        fill: $blueHover;
                    }
                }
            }

        }

        .articles-button-next {
            right: -10%;

            @media (max-width: 1580px) {
                right: -2%;
            }


        }

        .articles-button-prev {
            left: -10%;

            @media (max-width: 1580px) {
                left: -2%;
            }
        }
    }
}

.pagination {
    z-index: 1;
    bottom: -60px;
    font-size: 24px;
}

// scrollup //

.scrollup {
    position: fixed;
    bottom: 30px;
    left: 30px;
    height: 64px;
    box-shadow: 0px 5px 10px 2px rgba(0, 0, 0, 0.2);
    border-radius: 100%;
    cursor: pointer;
    transition: 0.4s ease;
    z-index: 2;

    @media (max-width: 576px) {
        left: 10px;
        bottom: 10px;
    }

    svg {
        path {
            &:first-child {
                transition: 0.4s ease;
            }
        }
    }

    &:hover {
        svg {
            path {
                &:first-child {
                    fill: $blueHover;
                }
            }
            
        }
    }
}

.scrollup--hide {
    visibility: hidden;
    opacity: 0;
}

// share // 

.yandex__share {
    position: fixed;
    z-index: 10;
    right: 30px;
    bottom: 30px;

    @media (max-width: 576px) {
        right: 10px;
        bottom: 10px;
    }
    
    .ya-share2__container_size_l {
        .ya-share2__item_more.ya-share2__item_has-pretty-view {
            .ya-share2__link_more.ya-share2__link_more-button-type_short {
                background: $blue;
                box-shadow: 0px 5px 10px 2px rgba(0, 0, 0, 0.2);
            }
        }
    }
}

// validate form setting // 

.js-validate-error-field {
    border: none !important;
    color: inherit !important;
    background-color: #e9556f;
}


// modal // 

.modal {
    display: none;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    background-color: $black;
    color: $white;
    height: 300px;
    max-width: 576px;
    width: 100%;
    -webkit-box-shadow: 0px 0px 15px 8px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0px 0px 15px 8px rgba(0, 0, 0, 0.2);
    box-shadow: 0px 0px 15px 8px rgba(0, 0, 0, 0.2);

    @media (max-width: 768px) {
        max-width: 375px;
    }

    @media (max-width: 425px) {
        max-width: 305px;
        height: 210px;
    }

    .close__button {
        position: absolute;
        right: 30px;
        top: 30px;
        cursor: pointer;

        @media (max-width: 425px) {
            right: 15px;
            top: 15px;
        }
    }

    .modal__title {
        font-size: 30px;

        @media (max-width: 425px) {
            font-size: 25px;
        }
    }
}

.modal--active {
    display: flex;
}

